-- Tilføj produkt i webshop
INSERT INTO products VALUES (null,"Pink dress","Dette er en helt normal kjole",225,"pinkdress.jpg",38,55,35,1);

-- Kunde opretter bruger
INSERT INTO customers VALUES (null, "Jytte", "Pedersen", 64088789, "jytte@live.dk", "1982-12-16","miomio");
INSERT INTO address VALUES (null, "Fasanvej 45", "Assens tankstation", 1, 5610);
INSERT INTO orders VALUES (null, null, 0, 1);

-- Se kunders indkøbskurv efter navn, produkt, antal og om det er betalt
-- CONCAT sammensætter 2 attributer i én, sådan at first_name og last_name bliver til én attribut.
-- AS sætter attributtens navn alias
-- for at vise hvem der har købt hvad, navn, antal, produkter, status
select CONCAT(Customer_firstname, " " , Customer_lastname) as Fullname, Product_name, Order_qty, Status
from orderline, orders, customers, products
where customers.idCustomers = orders.Customers_idCustomers and orders.Order_id = orderline.Orders_Order_id and orderline.Products_Product_id = products.Product_id;

-- Opdaterer antal af produkt
-- safety off, tillader at man kan udføre usikre kommandoer- da update ikke er udført på baggrund
SET SQL_SAFE_UPDATES = 0;
-- updatere antal af produkter i lager beholdning/systemet
UPDATE products
SET Product_qty=90
WHERE Product_name='Pink Dress';
 
-- Betaling af produkter i webshop, ordrer status sættet til 1 som betyder betalt,
-- og dato for køb bliver gemt for den kunde med id 2
UPDATE orders
SET Status= 1, Order_date=CURDATE()
WHERE Customers_idCustomers=2;

-- Sletter produkt fra system (anbefales ikke, - hellere aktiv/inaktiv status på produkt så det ikke mangler i systemet) 
-- Sletter f_k til ordrer og produkt samt antal af det specifikke produkt
DELETE FROM orderline WHERE Products_Product_id=1;
DELETE FROM products WHERE Product_id=1;
































